-- This defines what variables constitute a preset and what their
-- default values are.  Default values are recalled before loading
-- any preset to ensure backward compatibilty with older preset
-- files.  They should set the variable to a ``NOP'' position.

Preset = {

-- Input levels management

   APS_mas_drive = 0, -- dB
   APS_mas_rt = 0, --dB
   
--Input filtering
   APS_hpf_filter_freq =  0,
   -- currently implemented values are OUT, 20, 30, 40, 70 Hz.

--Phase Rotator
   APS_phase_rot_style = 0, -- 0 = no phase rotator


-- wideband AGC
   APS_wbagc_engage =  1,
   APS_wbagc_drive =  0.0, -- dB
   APS_wbagc_attack = 5000, -- ms
   APS_wbagc_att_lf_cal = 0.5, -- unitless
   APS_wbagc_att_hf_cal = 1, -- unitless

   APS_wbagc_release = 10000, -- ms
   APS_wbagc_rel_lf_cal = 1, -- unitless
   APS_wbagc_rel_hf_cal = 1, -- unitless

   APS_wbagc_main_thresh = -3, -- dBr1
   APS_wbagc_lf_thresh_off = 3.5, -- dB
   APS_wbagc_att2_thresh_off = -14, -- dB

   APS_wbagc_glock_thresh = -50.0, -- dBr1

   APS_wbagc_window = -5.0, -- dBr1
   APS_wbagc_window_cal = 20, -- dB

   APS_wbagc_inv_ratio = .1, -- reciprocal of the average compression ratio
   -- Note that the approximation used to implement this will not
   -- completely shut down the AGC when this is 1.0

   APS_wbagc_sidechain_gain = 0, -- dB

   APS_wbagc_rtp_level = -10, -- dBGR
   APS_wbagc_rtp_speed = 10000, -- ms

   APS_wbagc_makeup = -7, -- dB
   APS_wbagc_gate_cal = -100, -- dB
   APS_wbagc_ref_off = 0.6, -- unitless
   APS_wbagc_att2_react = 0.001, -- unitless
   APS_wbagc_att2_dur = 0.0001, -- unitless
   APS_wbagc_raccel = 0.0001, -- unitless
   APS_wbagc_rdecel = 0.0009, -- unitless
 
  
   APS_wbagc_gbg = 0.00001, -- unitless

-- Multiband AGC Crossovers


   APS_loagc_xovr = 1, -- unitless
	-- 1 = 190Hz, 2 = 150Hz

   APS_mlagc_xovr = 1, -- unitless
	-- 1 = 3.2 kHz, 2 = 2.5 kHz

   APS_mbagc_sync_mode = 0, -- unitless
	-- 1 = Band 3 sync ref, 0 = Band 2 sync

   APS_mbagc_engage = 1, -- unitless
      -- 1 = engage, 0 = bypass

-- multiband AGC

   APS_mbagc_drive = 0.0, -- dB

-- Master Gain lock Threshold

   APS_mbagc_glock_thresh = -100.0, -- dB

-- Threshold 'OFF'sets from master threshold control

   APS_shagc_glock_thresh_off = -100.0, -- dB
   APS_hiagc_glock_thresh_off = -100.0, -- dB
   APS_mhagc_glock_thresh_off = -100.0, -- dB
   APS_mlagc_glock_thresh_off = -100.0, -- dB
   APS_loagc_glock_thresh_off = -100.0, -- dB

-- Multiband AGC output Mix levels

   APS_shagc_mix = 0.0, -- dB
   APS_hiagc_mix = 0.0, -- dB
   APS_hiagc_mix = 0.0, -- dB
   APS_mhagc_mix = 0.0, -- dB
   APS_mlagc_mix = 0.0, -- dB
   APS_loagc_mix = 0.0, -- dB

   APS_mbagc_drivecal = 0, -- dB
   APS_mbagc_out_cal = 0, -- dB

-- Drive 'OFF'sets from the main mbagc drive control

   APS_shagc_drive_off = 0.0, -- dB
   APS_hiagc_drive_off = 0.0, -- dB
   APS_hiagc_drive_off = 0.0, -- dB
   APS_mhagc_drive_off = 0.0, -- dB
   APS_mlagc_drive_off = 0.0, -- dB
   APS_loagc_drive_off = 0.0, -- dB

-- multiband AGC ratios and gains
   -- We can set these to 0 to defeat the AGCs without making the sidechains
   -- run away because the sidechains have independent ratios

   APS_shagc_ratio = -10, -- loop gain
   APS_hiagc_ratio = -10, -- loop gain
   APS_mhagc_ratio = -10, -- loop gain
   APS_mlagc_ratio = -10, -- loop gain
   APS_loagc_ratio = -10, -- loop gain 

-- MBAGC sidechain gains

   APS_shagc_scg = 0, -- dB
   APS_hiagc_scg = 0, -- dB
   APS_mhagc_scg = 0, -- dB
   APS_mlagc_scg = 0, -- dB
   APS_loagc_scg = 0, -- dB

-- Return To Platform Levels

   APS_shagc_rtp_level = -10, -- dBGR
   APS_hiagc_rtp_level = -10, -- dBGR
   APS_mhagc_rtp_level = -10, -- dBGR
   APS_mlagc_rtp_level = -10, -- dBGR
   APS_loagc_rtp_level = -10, -- dBGR

-- Return to Platform speeds

   APS_shagc_rtp_speed = 10000, -- ms
   APS_hiagc_rtp_speed = 10000, -- ms
   APS_mhagc_rtp_speed = 10000, -- ms
   APS_mlagc_rtp_speed = 10000, -- ms
   APS_loagc_rtp_speed = 10000, -- ms

-- Defeat RTP function

  APS_shagc_rtpdef = 0,
  APS_hiagc_rtpdef = 0,
  APS_mhagc_rtpdef = 0,
  APS_mlagc_rtpdef = 0,
  APS_loagc_rtpdef = 0,

   APS_mbagc_sync = -100, --dB


--Release times

   APS_mbagc_release = 0.15, -- unitless

   APS_shagc_rel_cal = 10000,  -- ms
   APS_hiagc_rel_cal = 10000,  -- ms
   APS_mhagc_rel_cal = 10000,  -- ms
   APS_mlagc_rel_cal = 10000,  -- ms
   APS_loagc_rel_cal = 10000,  -- ms
  
   APS_mbagc_multf = 1, -- unitless

   APS_mbagc_attack = 0.095, -- unitless 

   APS_shagc_att_cal = 10000,  -- ms
   APS_hiagc_att_cal = 10000,  -- ms
   APS_mhagc_att_cal = 10000,  -- ms
   APS_mlagc_att_cal = 10000,  -- ms
   APS_loagc_att_cal = 10000,  -- ms

   APS_shagc_makeup = -7, -- dB
   APS_hiagc_makeup = -7, -- dB
   APS_mhagc_makeup = -7, -- dB
   APS_mlagc_makeup = -7, -- dB
   APS_loagc_makeup = -7, -- dB

   APS_shagc_att2_react = 0.0001,-- unitless
   APS_shagc_att2_dur = 0.0001, -- unitless
   APS_shagc_rel2_speed = 1.25, -- unitless

   APS_hiagc_att2_react = 0.0001, -- unitless
   APS_hiagc_att2_dur = 0.0001, -- unitless
   APS_hiagc_rel2_speed = 1.25, -- unitless

   APS_mhagc_att2_react = 0.0007, -- unitless
   APS_mhagc_att2_dur = 0.0001, -- unitless
   APS_mhagc_rel2_speed = 1.25, -- unitless

   APS_mlagc_att2_react = 0.001, -- unitless
   APS_mlagc_att2_dur = 0.0001, -- unitless
   APS_mhagc_rel2_speed = 1.25, -- unitless

   APS_loagc_att2_react = 0.001, -- unitless
   APS_loagc_att2_dur = 0.0001, -- unitless
   APS_loagc_rel2_speed = 1.25, -- unitless

   APS_shagc_att2_thresh = 0.0, -- dB
   APS_hiagc_att2_thresh = 0.0, -- dB
   APS_mhagc_att2_thresh = 0.0, -- dB
   APS_mlagc_att2_thresh = 0.0, -- dB
   APS_loagc_att2_thresh = 5.1, -- dB

   APS_shagc_gbgo = 1.0, --unitless
   APS_hiagc_gbgo = 1.0, --unitless
   APS_mhagc_gbgo = 1.0, --unitless



-- Enhancers

   APS_bass_enh = -12.0, -- dB
   APS_bass_thunder = -100, -- dB
   APS_benh_mode = 0, -- unitless
   APS_thunder_hp = 0, -- unitless
   APS_benh_sl = 12, -- dB/Octave
   APS_stereo_enh = 0, -- unitless

--Parametric_EQ---

   APS_hi_gain = 0, -- dB
   APS_md_gain = 0, -- dB
   APS_lo_gain = 0, -- dB
   APS_hi_freq = 5000, -- Hz
   APS_md_freq = 1000, -- Hz
   APS_lo_freq = 80, -- Hz
   APS_hi_q = 1, -- Q
   APS_md_q = 1, -- Q
   APS_lo_q = 1, -- Q


   APS_wmb_thresh = -5.0, --dB
   APS_phb_thresh = 0.0, --dB

-- Limiter Crossovers

   APS_sllim_xovr = 3, -- unitless
	-- 1 = 150Hz, 2 = 120Hz, 3 = 110Hz

   APS_lolim_xovr = 2, -- unitless
	-- 1 = 420Hz, 2 = 330Hz

-- Multiband limiters

   APS_shlim_mix = 0.0, -- dB
   APS_hilim_mix = 0.0, -- dB
   APS_mhlim_mix = 0.0, -- dB
   APS_mllim_mix = 0.0, -- dB
   APS_lolim_mix = 0.0, -- dB
   APS_sllim_mix = 0.0, -- dB


   APS_lim_drive = 0.0, -- dB

	-- limiter Drive 'Off'sets

   APS_shlim_drive_off = 0.0, -- dB
   APS_hilim_drive_off = 0.0, -- dB
   APS_mhlim_drive_off = 0.0, -- dB
   APS_mllim_drive_off = 0.0, -- dB
   APS_lolim_drive_off = 0.0, -- dB
   APS_sllim_drive_off = 0.0, -- dB

   APS_mhlim_dcomp = 0.0, -- dB
   APS_hilim_dcomp = 0.0, -- dB

   APS_shlim_thresh = 0.0, -- dB
   APS_hilim_thresh = 0.0, -- dB
   APS_mhlim_thresh = 0.0, -- dB
   APS_mllim_thresh = 0.0, -- dB
   APS_lolim_thresh = 0.0, -- dB
   APS_sllim_thresh = 0.0, -- dB

   APS_lim_sidemast = 0.0, -- dB

   APS_lim_release = 1, -- unitless

   APS_shlim_rel_cal = 800, -- ms
   APS_hilim_rel_cal = 800, -- ms
   APS_mhlim_rel_cal = 800, -- ms
   APS_mllim_rel_cal = 800, -- ms
   APS_lolim_rel_cal = 800, -- ms
   APS_sllim_rel_cal = 800, -- ms

   APS_lim_attack = 1, -- unitless

   APS_shlim_att_cal = 100, -- ms  
   APS_hilim_att_cal = 100, -- ms 
   APS_mhlim_att_cal = 100, -- ms 
   APS_mllim_att_cal = 100, -- ms 
   APS_lolim_att_cal = 300, -- ms 
   APS_sllim_att_cal = 800, -- ms 

   APS_lim_glock_thresh = -26, -- dB

   APS_shlim_gate_thresh = 0.0, -- dB
   APS_hilim_gate_thresh = 0.0, -- dB
   APS_mhlim_gate_thresh = 0.0, -- dB
   APS_mllim_gate_thresh = 0.0, -- dB
   APS_lolim_gate_thresh = 0.0, -- dB
   APS_sllim_gate_thresh = 0.0, -- dB

   APS_sllim_sync = -12, --dB

   APS_sllim_ratio = 1.0, -- unitless
   APS_lolim_ratio = 1.0, -- unitless
   APS_mllim_ratio = 1.0, -- unitless
   APS_mhlim_ratio = 1.0, -- unitless
   APS_hilim_ratio = 1.0, -- unitless
   APS_shlim_ratio = 1.0, -- unitless



-- Front End Clipper System

   APS_clip_drive = 0.0, -- dB
   APS_clip_ofst = 0.0, -- dB
   APS_bc_dyn_ratio = -0.4, -- squareness of bass clipper
   APS_as_drive = 0.0, -- dB main clipper duty cycle guessing algo thresh
   APS_bc_dyn_thresh = -8.0, -- db
   APS_bc_smooth = 1.3, -- unitless 
   APS_bc_style = 1, -- 1 for auto bass clip thresh 0 for fixed thresh
   APS_mono_gain = -3.0, -- dB
   APS_bc_fix_thresh = -2.5, -- dB
   APS_bc_drive = 0.0, -- dB
   APS_w_bass_drive = 0.0, --dB


-- HD Section

   HD_fnl_drive = 0, -- dB
   HD_fnl_opt = -10, -- dB
   HD_fnl_release = 80, -- ms

   APS_shlim_hd_mix = 0.0, -- dB
   APS_hilim_hd_mix = 0.0, -- dB
   APS_mhlim_hd_mix = 0.0, -- dB
   APS_mllim_hd_mix = 0.0, -- dB
   APS_lolim_hd_mix = 0.0, -- dB
   APS_sllim_hd_mix = 0.0, -- dB


   HD_sensus_freq = 20000, -- Hertz
   HD_hd_bc_smooth = 2, -- unitless
   HD_hd_bc_thresh = 0, -- dB
   HD_sensus_sens = 6.8, -- dB


-- LL DJ Section


   APS_djlomix = 0, --dB
   APS_djmdmix = 0, --dB
   APS_djhimix = 0, --dB
   APS_dj_lolimrng = -7, --dB
   APS_dj_mdlimrng = -5, --dB
   APS_dj_hilimrng = -15, --dB
   APS_loagc_djmix = 0, -- dB
   APS_mlagc_djmix = 0, -- dB
   APS_mhagc_djmix = 0, -- dB
   APS_hiagc_djmix = 0, -- dB
   APS_shagc_djmix = 0, -- dB
   APS_dj_bclip = -2, -- dB

-- Comp Clipper in SG
   O11_sg_comp_clip_drive = 0,

--System Params

   APS_agc_op_thresh = -4.4, -- dB
   APS_as_incal = -25.5, -- dB
   APS_bc_fixed_cal = -10, -- dB
   APS_lim_incomp = -2, -- dB
   APS_stenh_sum_rel = 100, -- ms
   APS_stenh_dif_rel = 500, -- ms
   APS_stenh_dif_att = 30, -- ms
   APS_stenh_diff_mat = 0.0, -- dB
   APS_mas_drive = 0, -- dB
   APS_mas_rt = 0, -- dB
   APS_bass_enh_thresh = 15, -- unitless
   APS_bass_enh_ratio = -1.0, -- unitless
   APS_bass_enh_scg = 1, -- dB
   APS_bass_enh_att = 250, -- ms
   bs412_drive = 0, --dB, used to compensate for differences in presets

--Solar Plexus
   spl_half_f_gain = -2.0,  -- dB
   spl_level = 0, -- dB of enhancement
   spl_engage = 0, -- 0 = bypass 1 = engage

}



IO = {

   overall_proc_bypass = 0,
   patch_mode = 0,

-- Input 
   in_source = 1,
   in_patch_src = 3,
   in_failover_src = 1,
   in_failover_time =  0, -- seconds ( 0 = defeat )
   in_failback_time = 1, -- seconds
   in_failover_abs_lvl = -50, --dBFS
   in_failover_rel_lvl = -20, 
   -- dB ref. secondary signal (how far primary must be below secondary to 
   -- trigger failover logic).
   in_ana_mast = 0.0,
   in_ana_R = 0.0,
   in_aes_mast = 0.0,
   in_aes_R = 0.0,
   in_lwr_mast = 0.0,
   in_lwr_R = 0.0,
   in_lwr2_mast = 0.0,
   in_lwr2_R = 0.0,
   O11_in_invert = 0,
   O11_in_stereo_mode = 0,

-- Output
   O11hdfm_out_ana_select = 0,
   O11hdfm_out_aes1_select = 0,
   O11hdfm_out_aes2_select = 0,
   O11hdfm_out_hph_select =  2,
   O11hdfm_out_lwr1_select = 0,
   O11hdfm_out_lwr2_select = 0,
   O11hdfm_out_hd_pol = 1,
   O11_out_ana_mast = 4,
   out_ana_L = 0.0,
   out_ana_R = 0.0,
   out_aes_mast = -12.0,
   out_aes_L = 0.0,
   out_aes_R = 0.0,
   out_aes2_mast = -12.0,
   out_aes2_L = 0.0,
   out_aes2_R = 0.0,
   out_lwr_mast = -12.0,
   out_lwr_L = 0.0,
   out_lwr_R = 0.0,
   out_lwr2_mast = -12.0,
   out_lwr2_L = 0.0,
   out_lwr2_R = 0.0,
   out_aes_srate = 0,
   out_aes2_srate = 0,
   out_div_delay_time = 0,
   out_div_delay_off = 0,
   O11_pre_emphasis = 75,
   O11_de_emphasis_ana = 0,
   O11_de_emphasis_aes = 0,
   O11_de_emphasis_aes2 = 0,
   O11_de_emphasis_lw = 0,
   O11_de_emphasis_lw2 = 0,
   O11_de_emphasis_hph = 1,
   O11_de_emphasis_doro = 1,
   bs412_engage = 0,
   bs412_main_thresh = 0,
   comp_out_lvl = 5,
   comp_out_lvl_2 = 5,
   sg_pilot_lvl = 9,
   ssbsg_pilot_phase = 0,
   ssbsg_usb_suppression = 0,
   sg_lmr_gain = 0.015,
   enet_port2_mode = 0,
   APS_patchout_cal = -12, -- dB
   APS_patchin_cal = -30, -- dB
   APS_djhatt = 1, --ms
   APS_djmatt = 1, --ms
   APS_djlatt = 6, --ms
   APS_djhrel = 10, -- ms
   APS_djmrel = 12, -- ms
   APS_djlrel = 18, -- ms
   APS_djhscg = -12, --dB
   APS_djhslk = 0.7,
   APS_djmslk = 0.7,
   APS_djlslk = 0.7,
   APS_djlratio = 1, 
   APS_djmratio = 0.95,
   APS_djhratio = 0.9,      

}

-- This is a hack to create an access class for variables.  It is not used
-- as a storage class, only to specify the variables that the lessee
-- access level is not allow to write.
Comp = {
   comp_out_lvl = 5,
   comp_out_lvl_2 = 5,
}
